Page MenuHomePhabricator

Preferences and address should be separated from content in footer of HTML email notifications
Closed, ResolvedPublic

Description

Today I got my first Flow notification, yay!

I was surprised by the last line, though:

"Wikimedia Foundation, 149 New Montgomery St., 3rd Fl., San Francisco, CA 94105, USA"

Do we really need this? Are we adding this information in any other notification coming from Wikimedia projects?

Also, is this line hardcoded and therefore a problem for any 3rd party MediaWiki using Flow in the future?

As a Wikimedia contributors I think it gives an unnecessary impression of an official and centralized organization, kind of being in the way of my communications from/to other contributors.

It felt weird to me while being an employee of the WMF, sitting in that exact address and being replied from a project (mediawiki.org) where the Foundation is heavily invested. I can see how weirder will it feel for users of e.g. Catalan Wikipedia when communicating between them thousands of miles away from "149 New Montgomery St..."

I know some corporations do this to the extent that we are almost blind to tese disclaimers but, as opposed to us, they are centralized organizations obsessed about branding, copyrights, and terms & conditions.


Version: master
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=46315

Details

Reference
bz59913

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz59913.
Qgil created this task.Jan 10 2014, 6:20 PM

It's nothing to do with branding, copyrights or terms and conditions, it's to do with legal obligations as to how we identify that we're sending people tons of emails and who they can complain to ;p. We reviewed it with Legal, they insisted on adding it, and it's part of every other notification (Flow or no) that comes via your inbox.

Qgil added a comment.Jan 10 2014, 7:20 PM

Created attachment 14283
Screenshot of proposed notification, after removing all the "bgcolor=3D"#F8F8F8"

Mmmok. Not that fast, though.

Is this address hardcoded or is it configurable?

Also a proposal: keep everything as it is but remove that "bgcolor=3D"#F8F8F8" from the related td's. Screenshot attached.

After checking in my mailbox the notifications of Facebook, Twitter, LinkedIn, Change.org, Wired, Amazon, and some more it is clear that

  • All have the address at the end, yes
  • All have the preferences and address information clearly separated from the content, on top of the default gray of the email client (while the content is usually on top of white) and some even have the address in a lighter grey color.

On a second look, now I realize that the preferences and address in the Flow notification are on a grey background. In order to see this I had to tilt my screen, otherwise it looks just as white as the white background of the notification.

Attached:

I imagine configurable, but I can't say for certain. In any case, that (and UI tweaks) are Echo rather than Flow problems - I'll move the bug accordingly, but you should be aware that Echo is currently a 'if it breaks, fix it, otherwise it can wait' product.

Qgil added a comment.Jan 10 2014, 7:31 PM

Thank you. I can file a patch for that simple color fix as soon as I have time to see where that piece of code is sitting.

Qgil added a comment.Jan 10 2014, 7:33 PM

Having a designer looking at the screenshot and saying "yep, good idea" would help. :)

Poke benny on IRC; he should know :)

Change 107328 had a related patch set uploaded by Qgil:
Remove background color of footer in email notifications

https://gerrit.wikimedia.org/r/107328

(In reply to comment #5)

Having a designer looking at the screenshot and saying "yep, good idea" would
help. :)

CC'ing Jared.

The patch looks fine to me and I'll merge it after a while if there are no objections.

Both lines should be centered it just looks weird to have two lines of left aligned text in a block that is centered. If that is resolved I'm fine with it.

Qgil added a comment.Jan 30 2014, 10:55 PM

Note that the only thing this patch is doing is removing the background color of the Preferences and address. It should be showing exactly the same alignment used currently in Echo notifications.

Change 107328 merged by jenkins-bot:
Remove background color of footer in email notifications

https://gerrit.wikimedia.org/r/107328

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:22 AM